Recalls

Vehicle Recalls

Retrieve open safety recalls for a vehicle by VIN.


Checking account...
GET
/v1/recalls

Retrieve open safety recalls for a vehicle by VIN.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

vin*string

The 17 character long vehicle identification number.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/v1/recalls \  -d key=CARSXE_API_KEY \  -d vin=WBAFR7C57CC811956
{
  "success": true,
  "input": {
    "key": "API_KEY",
    "vin": "1C4JJXR64PW696340"
  },
  "data": {
    "uuid": "d1269d6b-54a2-4bf3-8119-1c8fdb4f0563",
    "vin": "1C4JJXR64PW696340",
    "manufacturer": "FCA US LLC",
    "model_year": "2023"
  },
  "timestamp": "2025-10-03T08:46:03.701Z"
}
{
  "success": false,
  "message": "Missing vin (vehicle identification number)"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "No data found for this VIN"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "Internal server error"
}